#!/bin/sh

# Example for $XDG_CONFIG_HOME/nsxiv/exec/image-info
# Called by nsxiv(1) whenever an image gets loaded.
# The output is displayed in nsxiv's status bar.
# Arguments:
#   $1: path to image file (as provided by the user)
#   $2: image width
#   $3: image height
#   $4: fully resolved path to the image file

s="  " # field separator

exec 2>/dev/null

filename=$(basename -- "$1")
filesize=$(du -Hh -- "$1" | cut -f 1)
geometry="${2}x${3}"

echo "${filesize}${s}${geometry}${s}${filename}"

